# class SignallingEvent | A single signalling related event. More...
Full name | `TelEngine::SignallingEvent`
Definition | `#include <libs/ysig/yatesig.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { Unknown = 0, Generic, NewCall, Accept, Connect, Complete, Progress, Ringing, Answer, Transfer, Suspend, Resume, Release, Info, Charge, Message, Facility, Circuit, Enable, Disable, Reset, Verify, }

#### Public Methods

- SignallingEvent (Type type, SignallingMessage* message, SignallingCall* call)
- SignallingEvent (Type type, SignallingMessage* message, SignallingCallControl* controller = 0)
- SignallingEvent (SignallingCircuitEvent*& event, SignallingCall* call)
- virtual ~SignallingEvent ()
- inline const char* name () const
- inline Type type () const
- inline SignallingCall* call () const
- inline SignallingMessage* message () const
- inline SignallingCallControl* controller () const
- inline SignallingCircuitEvent* cicEvent () const
- bool sendEvent ()

#### Public Static Methods

- static inline const char* typeName (Type t)

## Detailed Description

An object holding a signalling event and related references

enum Type { Unknown = 0, Generic, NewCall, Accept, Connect, Complete, Progress, Ringing, Answer, Transfer, Suspend, Resume, Release, Info, Charge, Message, Facility, Circuit, Enable, Disable, Reset, Verify, } | ### Type

Type of the event

SignallingEvent (Type type, SignallingMessage* message, SignallingCall* call) | ### SignallingEvent

Constructor for a call related event

Parameters:

type | Type of the event
message | Message carried by the event
call | Call this event refers to

SignallingEvent (Type type, SignallingMessage* message, SignallingCallControl* controller = 0) | ### SignallingEvent

Constructor for a controller related event

Parameters:

type | Type of the event
message | Message carried by the event
controller | Controller this event refers to

SignallingEvent (SignallingCircuitEvent*& event, SignallingCall* call) | ### SignallingEvent

Constructor for a signalling circuit related event

Parameters:

event | The event signaled by the circuit, will be consumed and zeroed
call | Call this event refers to

~SignallingEvent () | ### ~SignallingEvent

[virtual]

Destructor, dereferences any resources, notify the signalling call of termination

inline const char* name () | ### name

[const]

Get the string associated with this event's type

Returns: The string associated with this event's type, if any

inline Type type () | ### type

[const]

Get the type of the event

Returns: Type of event, may be unknown

inline SignallingCall* call () | ### call

[const]

Get the call that generated this event, may be NULL

inline SignallingMessage* message () | ### message

[const]

Get the message that generated this event, may be NULL

inline SignallingCallControl* controller () | ### controller

[const]

Retrieve the controller of the call

inline SignallingCircuitEvent* cicEvent () | ### cicEvent

[const]

Retrieve the circuit event

inline const char* typeName (Type t) | ### typeName

[static]

Get the text associated with a given event type for debug purposes

Parameters:

t | The requested type

Returns: The text associated with the given type

bool sendEvent () | ### sendEvent

Send this event through the call that generated it

Returns: True if there was a call and the operation succedded

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.